	.file	"RTOS.mc"
	.pred.safe_across_calls p1-p5,p16-p63
	.text
	.align 16
	.global RTOS__Exit#
	.type	RTOS__Exit#, @function
	.proc RTOS__Exit#
RTOS__Exit:
[.LFB0:]
	.prologue 14, 33
	.save ar.pfs, r34
	alloc r34 = ar.pfs, 1, 4, 1, 0
	.vframe r35
	mov r35 = r12
[.L4:]
	adds r12 = -16, r12
	.save rp, r33
	mov r33 = b0
	mov r36 = r1
	.body
	;;
	st8 [r35] = r32
	ld8 r15 = [r35]
	movl r14 = -2147483648
	;;
	cmp.gt p6, p7 = r14, r15
	(p6) br.cond.dptk .L2
	ld8 r15 = [r35]
	movl r14 = 2147483647
	;;
	cmp.ge p6, p7 = r14, r15
	(p6) br.cond.dptk .L3
.L2:
	addl r37 = 481, r0
	br.call.sptk.many b0 = _m3_fault#
	mov r1 = r36
.L3:
	;;
	ld8 r37 = [r35]
	br.call.sptk.many b0 = Unix__exit#
	mov r1 = r36
	;;
	mov ar.pfs = r34
	mov b0 = r33
	.restore sp
	mov r12 = r35
	br.ret.sptk.many b0
	;;
	.endp RTOS__Exit#
	.align 16
	.global RTOS__Crash#
	.type	RTOS__Crash#, @function
	.proc RTOS__Crash#
RTOS__Crash:
[.LFB1:]
	.prologue 14, 32
	.save ar.pfs, r33
	alloc r33 = ar.pfs, 0, 4, 0, 0
	.vframe r34
	mov r34 = r12
[.L7:]
	.save rp, r32
	mov r32 = b0
	mov r35 = r1
	.body
	;;
	br.call.sptk.many b0 = Cstdlib__abort#
	mov r1 = r35
.L6:
	br .L6
	;;
	.endp RTOS__Crash#
	.align 16
	.global RTOS__Write#
	.type	RTOS__Write#, @function
	.proc RTOS__Write#
RTOS__Write:
[.LFB2:]
	.prologue 14, 34
	.save ar.pfs, r35
	alloc r35 = ar.pfs, 2, 4, 3, 0
	.vframe r36
	mov r36 = r12
[.L9:]
	adds r12 = -32, r12
	.save rp, r34
	mov r34 = b0
	mov r37 = r1
	.body
	;;
	mov r14 = r36
	;;
	st8 [r14] = r32
	adds r14 = 8, r36
	;;
	st8 [r14] = r33
	mov r15 = r36
	adds r14 = 8, r36
	addl r38 = 2, r0
	;;
	ld8 r39 = [r15]
	ld8 r40 = [r14]
	br.call.sptk.many b0 = Uuio__write#
	mov r1 = r37
	mov r14 = r8
	adds r15 = -16, r36
	;;
	st8 [r15] = r14
	mov ar.pfs = r35
	mov b0 = r34
	.restore sp
	mov r12 = r36
	br.ret.sptk.many b0
	;;
	.endp RTOS__Write#
	.align 16
	.global RTOS_M3#
	.type	RTOS_M3#, @function
	.proc RTOS_M3#
RTOS_M3:
[.LFB3:]
	.prologue 2, 2
	.vframe r2
	mov r2 = r12
[.L12:]
	.body
	;;
	st8 [r2] = r32
	addl r14 = @ltoff(MM_RTOS#), r1
	;;
	ld8 r14 = [r14]
	;;
	mov r8 = r14
	.restore sp
	mov r12 = r2
	br.ret.sptk.many b0
	;;
	.endp RTOS_M3#
	.align 16
	.proc _m3_fault#
_m3_fault:
[.LFB4:]
	.prologue 14, 33
	.save ar.pfs, r34
	alloc r34 = ar.pfs, 1, 4, 2, 0
	.vframe r35
	mov r35 = r12
[.L14:]
	adds r12 = -16, r12
	.save rp, r33
	mov r33 = b0
	mov r36 = r1
	.body
	;;
	st8 [r35] = r32
	addl r37 = @ltoff(MM_RTOS#), r1
	;;
	ld8 r37 = [r37]
	ld8 r38 = [r35]
	br.call.sptk.many b0 = RTHooks__ReportFault#
	mov r1 = r36
	;;
	mov ar.pfs = r34
	mov b0 = r33
	.restore sp
	mov r12 = r35
	br.ret.sptk.many b0
	;;
	.endp _m3_fault#
	.section	.data.rel,"aw",@progbits
	.align 8
	.type	L_1#, @object
	.size	L_1#, 136
L_1:
	string	"RTOS_M3"
	.skip	1
	string	"Write"
	.skip	1
	string	"Crash"
	.skip	1
	string	"Exit"
	.skip	8
	data8	@fptr(RTOS_M3#)
	data8	L_1#
	data8	@fptr(RTOS__Write#)
	data8	L_1#+8
	data8	@fptr(RTOS__Crash#)
	data8	L_1#+14
	data8	@fptr(RTOS__Exit#)
	data8	L_1#+20
	.skip	8
	string	"../src/runtime/POSIX/RTOS.m3"
	.skip	4
	.align 8
	.type	MM_RTOS#, @object
	.size	MM_RTOS#, 224
MM_RTOS:
	data8	L_1#+104
	.skip	32
	data8	L_1#+32
	.skip	24
	data8	MM_RTOS#+104
	.skip	8
	data8	@fptr(RTOS_M3#)
	data8	3
	.skip	8
	data8	@fptr(RTOS_I3#)
	data8	MM_RTOS#+128
	.skip	8
	data8	@fptr(Cstdlib_I3#)
	data8	MM_RTOS#+152
	.skip	8
	data8	@fptr(Uuio_I3#)
	data8	MM_RTOS#+176
	.skip	8
	data8	@fptr(Unix_I3#)
	data8	MM_RTOS#+200
	.skip	8
	data8	@fptr(RTHooks_I3#)
	.skip	8
	.ident	"GCC: (GNU) 4.5.2"
